.downstream_release_branch:
  trigger:
    branch: $CI_DEFAULT_BRANCH

.downstream_release_common_config:
  extends: .downstream_release_branch
  stage: test
  needs: ["dynamic_vars"]
  inherit:
    variables: false
  variables:
    OCI_SKIP_PUSH: "true"
  trigger:
    strategy: depend

trigger-release-ska-pst-recv:
  extends: .downstream_release_common_config
  trigger:
    project: ska-telescope/pst/ska-pst-recv
  rules:
    - if: ($CI_COMMIT_BRANCH =~ /rel.*/) && ($CI_PIPELINE_SOURCE != "pipeline")
      variables:
        PST_SMRB_OCI_REGISTRY: registry.gitlab.com/ska-telescope/pst/ska-pst-smrb
        PST_SMRB_OCI_TAG: $PST_SMRB_OCI_TAG
    - if: $CI_COMMIT_TAG
      variables:
        PST_SMRB_OCI_REGISTRY: $SKA_RELEASE_REGISTRY
        PST_SMRB_OCI_TAG: $PST_SMRB_OCI_RELEASE
  when: manual

trigger-release-ska-pst-dsp:
  extends: .downstream_release_common_config
  trigger:
    project: ska-telescope/pst/ska-pst-dsp
  rules:
    - if: ($CI_COMMIT_BRANCH =~ /rel.*/) && ($CI_PIPELINE_SOURCE != "pipeline")
      variables:
        PST_SMRB_OCI_REGISTRY: registry.gitlab.com/ska-telescope/pst/ska-pst-smrb
        PST_SMRB_OCI_TAG: $PST_SMRB_OCI_TAG
    - if: $CI_COMMIT_TAG
      variables:
        PST_SMRB_OCI_REGISTRY: $SKA_RELEASE_REGISTRY
        PST_SMRB_OCI_TAG: $PST_SMRB_OCI_RELEASE
  when: manual

trigger-release-ska-pst-integration:
  extends: .downstream_release_common_config
  variables:
    PST_SMRB_OCI_REGISTRY: registry.gitlab.com/ska-telescope/pst/ska-pst-smrb
    PST_RECV_OCI_REGISTRY: registry.gitlab.com/ska-telescope/pst/ska-pst-recv
    PST_DSP_OCI_REGISTRY: registry.gitlab.com/ska-telescope/pst/ska-pst-dsp
  needs:
    - trigger-release-ska-pst-recv
    - trigger-release-ska-pst-dsp
  trigger:
    project: ska-telescope/pst/ska-pst-integration
  rules:
    - if: ($CI_COMMIT_BRANCH =~ /rel.*/) && ($CI_PIPELINE_SOURCE != "pipeline")
    - if: $CI_COMMIT_TAG
  when: manual